#include "CS_Exclamation.h"

CS_Exclamation::CS_Exclamation()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_exclamation";
	topDraw = true;
}

void CS_Exclamation::Step()
{
	if (counter > 0)
		counter--;
	if (counter == 0)
		Destroy();
}

std::shared_ptr<Entity> CreateCS_Exclamation()
{
	return std::make_shared<CS_Exclamation>();
}
